$spacing: (2, 4, 6, 8, 10, 12, 16);

@each $value in $spacing {
  %p-#{$value} {
    padding: $value * 0.25rem;
  }
  %pl-#{$value} {
    padding-left: $value * 0.25rem;
  }
  %pr-#{$value} {
    padding-right: $value * 0.25rem;
  }
  %pt-#{$value} {
    padding-top: $value * 0.25rem;
  }
  %pb-#{$value} {
    padding-bottom: $value * 0.25rem;
  }
  %px-#{$value} {
    @extend %pl-#{$value};
    @extend %pr-#{$value};
  }
  %py-#{$value} {
    @extend %pt-#{$value};
    @extend %pb-#{$value};
  }
}

@each $value in $spacing {
  %m-#{$value} {
    margin: $value * 0.25rem;
  }
  %ml-#{$value} {
    margin-left: $value * 0.25rem;
  }
  %mr-#{$value} {
    margin-right: $value * 0.25rem;
  }
  %mt-#{$value} {
    margin-top: $value * 0.25rem;
  }
  %mb-#{$value} {
    margin-bottom: $value * 0.25rem;
  }
  %mx-#{$value} {
    @extend %ml-#{$value};
    @extend %mr-#{$value};
  }
  %my-#{$value} {
    @extend %mt-#{$value};
    @extend %mb-#{$value};
  }
}
